Package groovy.lang

# Class Tuple2<T1,T2>

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
groovy.lang.Tuple
groovy.lang.Tuple2<T1,T2>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable`, `Iterable`, `Collection`, `List`, `RandomAccess`

public final class Tuple2<T1,T2> extends Tuple
Represents a list of 2 typed Objects.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tuple2(Tuple2<T1,T2> tuple)`
  Creates a tuple from the supplied tuple.
  `Tuple2(T1 v1, T2 v2)`
  Creates a tuple containing the supplied elements.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Tuple2<T1,T2>`
  `clone()`
  `T1`
  `getFirst()`
  Deprecated.
  `T2`
  `getSecond()`
  Deprecated.
  `T1`
  `getV1()`
  Returns the first element.
  `T2`
  `getV2()`
  Returns the second element.

  ### Methods inherited from class groovy.lang.Tuple

  `compareTo, equals, get, hashCode, size, subList, subTuple, toArray, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

  ### Methods inherited from class java.util.AbstractList

  `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

  ### Methods inherited from class java.util.AbstractCollection

  `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator`

- ## Constructor Details

  - ### Tuple2

    public Tuple2(T1 v1, T2 v2)
    Creates a tuple containing the supplied elements.
    Parameters:
      `v1` - the first element
      `v2` - the second element

  - ### Tuple2

    public Tuple2(Tuple2<T1,T2> tuple)
    Creates a tuple from the supplied tuple.
    Parameters:
      `tuple` - the source tuple

- ## Method Details

  - ### getFirst

    @Deprecated public T1 getFirst()
    Deprecated.
    Returns the first element.
    Returns:
      the first element

  - ### getSecond

    @Deprecated public T2 getSecond()
    Deprecated.
    Returns the second element.
    Returns:
      the second element

  - ### getV1

    public T1 getV1()
    Returns the first element.
    Returns:
      the first element

  - ### getV2

    public T2 getV2()
    Returns the second element.
    Returns:
      the second element

  - ### clone

    public Tuple2<T1,T2> clone()
    Overrides:
      `clone` in class `Tuple`